## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToHtmlXsltConverter

### Document::ezcDocumentDocbookToHtmlXsltConverter

### Class ezcDocumentDocbookToHtmlXsltConverter

Converter for Docbook documents to XHtml using an available XSLT.

By default the converter will try to download and use the XSLT provided at http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl. You may want to download and use the files locally.

Source for this file: /Document/src/converters/xslt/docbook_html.php

    ezcDocumentConverter
       |
       --ezcDocumentXsltConverter
          |
          --ezcDocumentDocbookToHtmlXsltConverter

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentXsltConverter
protected | `ezcDocumentXsltConverter::$xsltProcessor`
From ezcDocumentConverter
protected | `ezcDocumentConverter::$options`
protected | `ezcDocumentConverter::$properties`

### Method Summary

public ezcDocumentDocbookToHtmlXsltConverter | `__construct( [ $options = null] )` Construct new document converter.
protected ezcDocumentXmlBase | `buildDocument( $document )` Build document

### Inherited Methods

From ezcDocumentXsltConverter
public void | `ezcDocumentXsltConverter::__construct()` Construct converter
protected abstract ezcDocumentXmlBase | `ezcDocumentXsltConverter::buildDocument()` Build document
public ezcDocumentXmlBase | `ezcDocumentXsltConverter::convert()` Convert documents between two formats
From ezcDocumentConverter
public ezcDocumentConverter | `ezcDocumentConverter::__construct()` Construct new document
public abstract ezcDocument | `ezcDocumentConverter::convert()` Convert documents between two formats
public array | `ezcDocumentConverter::getErrors()` Return list of errors occured during visiting the document.
public void | `ezcDocumentConverter::triggerError()` Trigger parser error

### Methods

#### __construct

ezcDocumentDocbookToHtmlXsltConverter __construct( [ezcDocumentDocbookToHtmlXsltConverterOptions $options = null] )

Construct new document converter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentDocbookToHtmlXsltConverterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentXsltConverter::__construct()` | Construct converter

#### buildDocument

ezcDocumentXmlBase buildDocument( $document )

Build document

Build document of appropriate type from the DOMDocument, created by the XSLT transformation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentXsltConverter::buildDocument()` | Build document

Documentation generated by phpDocumentor 1.4.3